[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rpms/firmware-addon-dell/EL-4 .cvsignore, 1.2, 1.3 firmware-addon-dell.spec, 1.1, 1.2 sources, 1.2, 1.3



On Fri, Mar 30, 2007 at 12:44:41PM -0500, Rex Dieter wrote:
> Dennis Gilmore wrote:
> >On Friday 30 March 2007 12:13:40 pm Michael E Brown wrote:
> 
> >>Firmware-addon-dell is a noarch package. So if you use "ExclusiveArch:
> >>...", it fails to build. The reason I put in the ExcludeArch line was to
> >>keep the compose scripts from dropping it into the ppc fedora repo. I am
> >>perfectly happy to add additional excludearch directives if you send me a
> >>patch.
> >
> >Then its not a noarch package.  while it does not compile it is arch 
> >specific  and should be treated as such.  
> 
> I recall debating this a bit in the Packaging committee... I think 
> you're right, see,
> http://fedoraproject.org/wiki/Packaging/GuidelinesTodo
> "arch-specific script packages"

umm... note that this section is titled, "Things to be *considered* for
Packaging Guidelines". If it was a packaging guideline, it would be
filed under /PackagingGuidelines.

There have been a couple of recent threads about this, and the answer
has always been: add an "ExcludeArch:" line so that the compose scripts
skip that pkg for those named repos.

There never has been an official ruling or consensus that I have seen to
make this official. And at that point, you break my upgrade path, as
last time I checked, yum would not upgrade a .noarch pkg to a (eg.)
.i386 package or vice-versa.
--
Michael


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]